@echo off

if not exist ff8.dls goto noexist

if not exist 000s-lose.bak copy 000s-lose.sgt 000s-lose.bak > nul
if not exist 001s-win.bak copy 001s-win.sgt 001s-win.bak > nul
if not exist 004s-run.bak copy 004s-run.sgt 004s-run.bak > nul
if not exist 005s-battle.bak copy 005s-battle.sgt 005s-battle.bak > nul
if not exist 007s-end.bak copy 007s-end.sgt 007s-end.bak > nul
if not exist 008s-antena.bak copy 008s-antena.sgt 008s-antena.bak > nul
if not exist 009s-waiting.bak copy 009s-waiting.sgt 009s-waiting.bak > nul
if not exist 012s-kani.bak copy 012s-kani.sgt 012s-kani.bak > nul
if not exist 013s-battle2.bak copy 013s-battle2.sgt 013s-battle2.bak > nul
if not exist 014s-Parade2.bak copy 014s-Parade2.sgt 014s-Parade2.bak > nul
if not exist 015s-fuan2.bak copy 015s-fuan2.sgt 015s-fuan2.bak > nul
if not exist 016s-march2.bak copy 016s-march2.sgt 016s-march2.bak > nul
if not exist 017s-joriku.bak copy 017s-joriku.sgt 017s-joriku.bak > nul
if not exist 018s-julia.bak copy 018s-julia.sgt 018s-julia.bak > nul
if not exist 019s-waltz.bak copy 019s-waltz.sgt 019s-waltz.bak > nul
if not exist 020s-friend.bak copy 020s-friend.sgt 020s-friend.bak > nul
if not exist 021s-dangeon.bak copy 021s-dangeon.sgt 021s-dangeon.bak > nul
if not exist 022s-pianosol.bak copy 022s-pianosol.sgt 022s-pianosol.bak > nul
if not exist 023s-Parade.bak copy 023s-Parade.sgt 023s-Parade.bak > nul
if not exist 024s-march1.bak copy 024s-march1.sgt 024s-march1.bak > nul
if not exist 025s-himitsu.bak copy 025s-himitsu.sgt 025s-himitsu.bak > nul
if not exist 026s-garden.bak copy 026s-garden.sgt 026s-garden.bak > nul
if not exist 027s-fuan.bak copy 027s-fuan.sgt 027s-fuan.bak > nul
if not exist 028s-polka2.bak copy 028s-polka2.sgt 028s-polka2.bak > nul
if not exist 029s-anthem.bak copy 029s-anthem.sgt 029s-anthem.bak > nul
if not exist 035s-m7f5.bak copy 035s-m7f5.sgt 035s-m7f5.bak > nul
if not exist 036s-majo.bak copy 036s-majo.sgt 036s-majo.bak > nul
if not exist 041s-field.bak copy 041s-field.sgt 041s-field.bak > nul
if not exist 043a-concert-tap.bak copy 043a-concert-tap.sgt 043a-concert-tap.bak > nul
if not exist 043f-concert-piano.bak copy 043f-concert-piano.sgt 043f-concert-piano.bak > nul
if not exist 043g-concert-eguitar.bak copy 043g-concert-eguitar.sgt 043g-concert-eguitar.bak > nul
if not exist 043h-concert-ebass.bak copy 043h-concert-ebass.sgt 043h-concert-ebass.bak > nul
if not exist 046s-resistan.bak copy 046s-resistan.sgt 046s-resistan.bak > nul
if not exist 047s-kaiso.bak copy 047s-kaiso.sgt 047s-kaiso.bak > nul
if not exist 048s-horizon.bak copy 048s-horizon.sgt 048s-horizon.bak > nul
if not exist 049s-master.bak copy 049s-master.sgt 049s-master.bak > nul
if not exist 051s-rinoa.bak copy 051s-rinoa.sgt 051s-rinoa.bak > nul
if not exist 052s-travia.bak copy 052s-travia.sgt 052s-travia.bak > nul
if not exist 053s-antena2.bak copy 053s-antena2.sgt 053s-antena2.bak > nul
if not exist 054s-truth.bak copy 054s-truth.sgt 054s-truth.bak > nul
if not exist 055s-jail.bak copy 055s-jail.sgt 055s-jail.bak > nul
if not exist 056s-gargarde.bak copy 056s-gargarde.sgt 056s-gargarde.bak > nul
if not exist 057s-timber.bak copy 057s-timber.sgt 057s-timber.bak > nul
if not exist 058s-garbadia.bak copy 058s-garbadia.sgt 058s-garbadia.bak > nul
if not exist 059s-pinch.bak copy 059s-pinch.sgt 059s-pinch.bak > nul
if not exist 060s-scene1.bak copy 060s-scene1.sgt 060s-scene1.bak > nul
if not exist 061s-pub.bak copy 061s-pub.sgt 061s-pub.bak > nul
if not exist 062s-bat3.bak copy 062s-bat3.sgt 062s-bat3.bak > nul
if not exist 063s-stage.bak copy 063s-stage.sgt 063s-stage.bak > nul
if not exist 064s-choco.bak copy 064s-choco.sgt 064s-choco.bak > nul
if not exist 065s-white.bak copy 065s-white.sgt 065s-white.bak > nul
if not exist 066s-majomv.bak copy 066s-majomv.sgt 066s-majomv.bak > nul
if not exist 067s-musho.bak copy 067s-musho.sgt 067s-musho.bak > nul
if not exist 068s-missile.bak copy 068s-missile.sgt 068s-missile.bak > nul
if not exist 069s-enzetu.bak copy 069s-enzetu.sgt 069s-enzetu.bak > nul
if not exist 070s-card.bak copy 070s-card.sgt 070s-card.bak > nul
if not exist 071s-gomon.bak copy 071s-gomon.sgt 071s-gomon.bak > nul
if not exist 072s-soto.bak copy 072s-soto.sgt 072s-soto.bak > nul
if not exist 073s-majobat.bak copy 073s-majobat.sgt 073s-majobat.bak > nul
if not exist 075s-Gar3.bak copy 075s-Gar3.sgt 075s-Gar3.bak > nul
if not exist 076s-Bossbat2.bak copy 076s-Bossbat2.sgt 076s-Bossbat2.bak > nul
if not exist 077s-lasdun.bak copy 077s-lasdun.sgt 077s-lasdun.bak > nul
if not exist 078s-gafly.bak copy 078s-gafly.sgt 078s-gafly.bak > nul
if not exist 079s-demo.bak copy 079s-demo.sgt 079s-demo.bak > nul
if not exist 080s-spy.bak copy 080s-spy.sgt 080s-spy.bak > nul
if not exist 081s-mods.bak copy 081s-mods.sgt 081s-mods.bak > nul
if not exist 082s-salt.bak copy 082s-salt.sgt 082s-salt.bak > nul
if not exist 083s-alien.bak copy 083s-alien.sgt 083s-alien.bak > nul
if not exist 084s-sekichu.bak copy 084s-sekichu.sgt 084s-sekichu.bak > nul
if not exist 085s-esta.bak copy 085s-esta.sgt 085s-esta.bak > nul
if not exist 086s-moonmv.bak copy 086s-moonmv.sgt 086s-moonmv.bak > nul
if not exist 089s-hikutei.bak copy 089s-hikutei.sgt 089s-hikutei.bak > nul
if not exist 090s-bossbat1.bak copy 090s-bossbat1.sgt 090s-bossbat1.bak > nul
if not exist 091s-rag1.bak copy 091s-rag1.sgt 091s-rag1.bak > nul
if not exist 092s-rag2.bak copy 092s-rag2.sgt 092s-rag2.bak > nul
if not exist 093s-lasboss.bak copy 093s-lasboss.sgt 093s-lasboss.bak > nul
if not exist 096s-keisho.bak copy 096s-keisho.sgt 096s-keisho.bak > nul
if not exist 097s-ashuku.bak copy 097s-ashuku.sgt 097s-ashuku.bak > nul
if not exist 099-joriku2.bak copy 099-joriku2.sgt 099-joriku2.bak > nul
if not exist chocoworld.bak copy chocoworld.sgt chocoworld.bak > nul

echo.
echo Backup completed.
echo.
echo You can now replace the old SGTs with the newer ones.

goto end


:noexist
echo.
echo Files to backup not found !
echo.
echo This batch file must be executed in "FF8_directory\Data\Music\dmusic"

:end
